<?php 
Yii::app()->getClientScript()->registerCoreScript('jquery');

echo CHtml::tag("h2", array(), "Device Self Test.");
echo CHtml::tag("p", array(), "Test started, please check the screen attached to the player for an indication of the progress of the testing procedure. " );

echo CHtml::openTag("div", array('id'=>'mainFormLoading') )."\n";
echo CHtml::tag("p", array(), "The page will reload itself automatically at the end of the procedure.");
echo CHtml::image("images/loadingAnimation.gif", "Loading..." );
echo CHtml::tag("br");
echo CHtml::closeTag("div" );

echo CHtml::openTag("div", array("class"=>"yiiForm", 'id'=>'mainForm') ) . CHtml::form( array("run") , 'post', array( 'id'=>'mainForm') ) . "\n";

echo CHtml::tag("p", array(), "Select the tests that are to be run in the form below. The tests will be run in the order shown.");

echo CHtml::openTag("table", array( 'class'=>'diagnosis list') );

echo CHtml::tag("tr", array(),  
                        CHtml::tag("th", array(), "Test") . 
                        CHtml::tag("th", array(),  "Run") . 
                        CHtml::tag("th", array(), "Skip") .
                        CHtml::tag("th" , array(), "Notes") 
              );
$helps = array(); 
$cp=1;

foreach ( $diag->tests as $test ) {
    echo CHtml::openTag("tr");
    
    $name = htmlspecialchars("test_".$test['name']);
     
     echo Chtml::tag("td", array( 'class'=>'label' ), CHtml::label( $test['label'], $name ) );
     echo Chtml::tag("td", array( 'class'=>'center' ), CHtml::radioButton( $name, true, array( 'value'=>'run', 'class'=>'run' ) ) );
     echo Chtml::tag("td", array( 'class'=>'center' ), CHtml::radioButton( $name, false, array( 'value'=>'skip', 'class'=>'skip' ) ) );
     
    
    if ( isset( $test['help'] ) ){
        //echo CHtml::tag("tr", array(), CHtml::tag("td", array( 'colspan'=> 3 )) . CHtml::tag("td", array( 'colspan'=> 1 ), $test['help'] ) );
        echo CHtml::tag("td", array( 'class'=>'notes' ), "*[".$cp++."]");
        $helps[]=$test['help'];
    } else 
        echo CHtml::tag("td");

    echo CHtml::closeTag("tr");
}
echo CHtml::closeTag("table");

echo CHtml::tag("div", array( 'class'=>'right' ), 
                          CHtml::link(  "[run all]", "#", 
                                        array( 'onclick'=>"$('.run').attr('checked','checked'); $('.skip').attr('checked','');" )
                          ). "&nbsp;&nbsp;&nbsp;" .
                          CHtml::link(  "[skip all]", "#", 
                                        array( 'onclick'=>"$('.skip').attr('checked','checked'); $('.run').attr('checked','');" )
                          ). "&nbsp;"
        );
echo CHtml::tag("br");

if ( count($helps)>0 ){
    echo CHtml::tag("h3", array(), "Notes");
    echo CHtml::openTag("ol");
    foreach ( $helps as $help) {
        echo CHtml::tag("li", array(), $help);
    } 
    echo CHtml::closeTag("ol");
}
echo CHtml::submitButton("Start test");

echo CHtml::endForm() . CHtml::closeTag("div" );

$script = <<<EOL
var wait = $('#mainFormLoading');
var form = $("#mainForm");  

wait.hide();

form.submit(function(){  

    //hide the form, and show the waiting icon
    form.hide();
    wait.show();
    
    return true  
    
}); 
EOL;

echo CHtml::script( $script );